> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Webhook keys

> Regenerate webhook private/public keys pair and return public key.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json post /v1/notifications/webhooks/settings/public-key
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/settings/public-key:
    post:
      tags:
        - Webhooks
      summary: Generate Webhook keys
      description: Regenerate webhook private/public keys pair and return public key.
      operationId: SettingsController_generateWebhookKeys
      parameters: []
      responses:
        '201':
          description: Successfully retrieved Webhook public key.
          content:
            application/json:
              schema:
                type: string
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````